org.opencv.photo

## Class MergeMertens

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.photo.MergeExposures
    - - org.opencv.photo.MergeMertens

-     public class MergeMertens
      extends MergeExposures

  Pixels are weighted using contrast, saturation and well-exposedness measures, than images are combined using laplacian pyramids. The resulting image weight is constructed as weighted average of contrast, saturation and well-exposedness measures. The resulting image doesn't require tonemapping and can be converted to 8-bit image by multiplying by 255, but it's recommended to apply gamma correction and/or linear tonemapping. For more information see CITE: MK07 .

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MergeMertens(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MergeMertens` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `float` | `getContrastWeight()`
    `float` | `getExposureWeight()`
    `float` | `getSaturationWeight()`
    `void` | `process(List<Mat> src, Mat dst)` Short version of process, that doesn't take extra arguments.
    `void` | `process(List<Mat> src, Mat dst, Mat times, Mat response)` Merges images.
    `void` | `setContrastWeight(float contrast_weiht)`
    `void` | `setExposureWeight(float exposure_weight)`
    `void` | `setSaturationWeight(float saturation_weight)`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MergeMertens

          protected MergeMertens(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static MergeMertens __fromPtr__(long addr)

    - #### getContrastWeight

          public float getContrastWeight()

    - #### getExposureWeight

          public float getExposureWeight()

    - #### getSaturationWeight

          public float getSaturationWeight()

    - #### process

          public void process(List<Mat> src,
                              Mat dst,
                              Mat times,
                              Mat response)

      Description copied from class: `MergeExposures`
      Merges images.
      Overrides:
        `process` in class `MergeExposures`
      Parameters:
        `src` - vector of input images
        `dst` - result image
        `times` - vector of exposure time values for each image
        `response` - 256x1 matrix with inverse camera response function for each pixel value, it should have the same number of channels as images.

    - #### process

          public void process(List<Mat> src,
                              Mat dst)

      Short version of process, that doesn't take extra arguments.
      Parameters:
        `src` - vector of input images
        `dst` - result image

    - #### setContrastWeight

          public void setContrastWeight(float contrast_weiht)

    - #### setExposureWeight

          public void setExposureWeight(float exposure_weight)

    - #### setSaturationWeight

          public void setSaturationWeight(float saturation_weight)

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `MergeExposures`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8